com.aliyun.svideosdk.common.struct.effect

## Enum ActionBase.Interpolator

- java.lang.Object
- - java.lang.Enum<ActionBase.Interpolator>
  - - com.aliyun.svideosdk.common.struct.effect.ActionBase.Interpolator

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ActionBase.Interpolator>
  Enclosing class:
    ActionBase

      public static enum ActionBase.Interpolator
      extends java.lang.Enum<ActionBase.Interpolator>

  v3.25.0添加 插值器

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Accelerate`
    `Accelerate_Decelerate`
    `Anticipate`
    `Anticipate_Overshot`
    `Bound`
    `Cycle`
    `Decelerate`
    `Linear`
    `Overshot`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ActionBase.Interpolator` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ActionBase.Interpolator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Linear

          public static final ActionBase.Interpolator Linear

    - #### Accelerate

          public static final ActionBase.Interpolator Accelerate

    - #### Decelerate

          public static final ActionBase.Interpolator Decelerate

    - #### Accelerate_Decelerate

          public static final ActionBase.Interpolator Accelerate_Decelerate

    - #### Overshot

          public static final ActionBase.Interpolator Overshot

    - #### Anticipate

          public static final ActionBase.Interpolator Anticipate

    - #### Anticipate_Overshot

          public static final ActionBase.Interpolator Anticipate_Overshot

    - #### Bound

          public static final ActionBase.Interpolator Bound

    - #### Cycle

          public static final ActionBase.Interpolator Cycle

  - ### Method Detail

    - #### values

          public static ActionBase.Interpolator[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ActionBase.Interpolator c : ActionBase.Interpolator.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ActionBase.Interpolator valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null